Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.forms.widgets
Class TreeNode

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.Canvas
                          org.eclipse.ui.forms.widgets.AbstractHyperlink
                              org.eclipse.ui.forms.widgets.ToggleHyperlink
                                  org.eclipse.ui.forms.widgets.TreeNode

All Implemented Interfaces:
  Drawable

public final class TreeNode
extends ToggleHyperlink

A custom selectable control that can be used to control areas that can be expanded or collapsed. The control control can be toggled between selected and deselected state with a mouse or by pressing 'Enter' while the control has focus.

The control is rendered as box with a '+' or '-' sign, depending on the expansion state. Focus indication is rendered around the box when the control has keyboard focus.

Since:
  3.0
See Also:
  `Twistie`

Field Summary

Fields inherited from class org.eclipse.ui.forms.widgets.ToggleHyperlink
`hover, innerHeight, innerWidth`

Fields inherited from class org.eclipse.ui.forms.widgets.AbstractHyperlink
`marginHeight, marginWidth`

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TreeNode(Composite parent, int style)` Creates a control in a provided composite.

Method Summary
`protected void` | `paint(PaintEvent e)` Paints the control as a reaction to the provided paint event.
`protected void` | `paintHyperlink(GC gc)` Paints the hyperlink as a reaction to the provided paint event.

Methods inherited from class org.eclipse.ui.forms.widgets.ToggleHyperlink
`computeSize, geHoverDecorationColor, getDecorationColor, isExpanded, setDecorationColor, setExpanded, setHoverDecorationColor`

Methods inherited from class org.eclipse.ui.forms.widgets.AbstractHyperlink
`addHyperlinkListener, getHref, getSelection, getText, handleActivate, handleEnter, handleExit, removeHyperlinkListener, setHref`

Methods inherited from class org.eclipse.swt.widgets.Canvas
`getCaret, scroll, setCaret, setFont`

Methods inherited from class org.eclipse.swt.widgets.Composite
`checkSubclass, getChildren, getLayout, getTabList, layout, layout, setFocus, setLayout, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBounds, setBounds, setCapture, setCursor, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeNode

    public TreeNode(Composite parent,
                    int style)

  Creates a control in a provided composite.

Parameters:
  `parent` - the parent
  `style` - the style

Method Detail

### paint

    protected void paint(PaintEvent e)

  Description copied from class: `AbstractHyperlink`
  Paints the control as a reaction to the provided paint event.

  Overrides:
    `paint` in class `AbstractHyperlink`
  Parameters:
    `e` - the paint event

### paintHyperlink

    protected void paintHyperlink(GC gc)

  Description copied from class: `AbstractHyperlink`
  Paints the hyperlink as a reaction to the provided paint event.

  Specified by:
    `paintHyperlink` in class `AbstractHyperlink`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.